import { ArrowLeftIcon, ClockIcon } from '@heroicons/react/24/outline';
import { SubmitHandler, useFormContext } from 'react-hook-form';
import { useNavigate } from 'react-router-dom';
import { CourseFormData, useCourseForm } from './CourseEditorContext';

export default function CourseEditorHeader() {
    const navigate = useNavigate();
    const { handleSubmit} = useFormContext<CourseFormData>()
    const { onSubmit } = useCourseForm()
    return (
        <header className="fixed top-0 left-0 right-0 h-16 bg-white border-b border-gray-200 z-10">
            <div className="h-full flex items-center justify-between px-3 md:px-4">
                <div className="flex items-center space-x-3">
                    <button
                        onClick={() => navigate(-1)}
                        className="p-1.5 hover:bg-gray-100 rounded-lg transition-colors"
                    >
                        <ArrowLeftIcon className="w-5 h-5 text-gray-600" />
                    </button>
                    <div className="flex items-center space-x-2">
                        <h2 className="font-medium text-gray-900">UI设计入门课程</h2>
                        <span className="px-2 py-0.5 text-xs rounded-full bg-blue-50 text-blue-600">审核中</span>
                        <div className="hidden md:flex items-center text-gray-500 text-sm">
                            <ClockIcon className="w-4 h-4 mr-1" />
                            <span>总时长 12:30:00</span>
                        </div>
                    </div>
                </div>
                <button onClick={handleSubmit(onSubmit)} className="px-3 py-1.5 bg-blue-600 text-white rounded-lg hover:bg-blue-700 transition-colors">
                    保存
                </button>
            </div>
        </header>
    );
}